using AGSS.Models;
using AGSS.Models.Entities;
using AGSS.Models.Template;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace AGSS.Controllers.User;

[ApiController]
[Route("api/[controller]/[action]")]
public class UserInfoController : ControllerBase
{
   private readonly DBContext _context;

   public UserInfoController(DBContext context)
   {
      _context = context;
   }

   [HttpGet]
   [Authorize]
   public async Task<IActionResult> My()
   {
       
       UserModel user = new UserModel
       {
           AuthId = "123"
       };

       _context.UserModels.Add(user);
       await _context.SaveChangesAsync();
     return Ok(new ReturnTemplate(200, "成功",user));
   }
}